-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 3.0 (quilt)
Source: gmtsar
Binary: gmtsar, gmtsar-core, gmtsar-data, gmtsar-scripts
Architecture: any all
Version: 6.5+ds-2
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Homepage: https://topex.ucsd.edu/gmtsar
Description: InSAR processing system based on Generic Mapping Tools
 GMTSAR is an open source Interferometric Synthetic Aperture RADAR
 (InSAR) processing system designed for users familiar with Generic
 Mapping Tools (GMT).
 .
 The code is written in C and will compile on any computer where GMT
 and NETCDF are installed.
 .
 The system has three main components:
  * a preprocessor for each satellite data type (ERS-1/2, Envisat,
    ALOS-1, TerraSAR-X, COSMO-SkyMed, Radarsat-2, Sentinel-1A/B,
    and ALOS-2) to convert the native format and orbital information
    into a generic format;
  * an InSAR processor to focus and align stacks of images, map
    topography into phase, and form the complex interferogram;
  * a postprocessor, mostly based on GMT, to filter the interferogram
    and construct interferometric products of phase, coherence,
    phase gradient, and line-of sight displacement in both radar and
    geographic coordinates.
 .
 GMT is used to display all the products as pdf files and KML images
 for Google Earth. A set of shell scripts has been developed for
 standard 2-pass processing as well as geometric image alignment for
 stacking and time series.
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian-gis-team/gmtsar
Vcs-Git: https://salsa.debian.org/debian-gis-team/gmtsar.git
Build-Depends: debhelper-compat (= 13), gfortran, libblas-dev, libepr-api-dev, libgmt-dev, libhdf5-dev, liblapack-dev, libtiff-dev
Package-List:
 gmtsar deb science optional arch=all
 gmtsar-core deb science optional arch=any
 gmtsar-data deb science optional arch=all
 gmtsar-scripts deb science optional arch=all
Checksums-Sha1:
 30cc0a74857ef79ef5ec8ee07c0c38361134435f 11321752 gmtsar_6.5+ds.orig.tar.xz
 28ccdcff39c9ef9c0c88c4a7a7913f07fe2fa27e 23632 gmtsar_6.5+ds-2.debian.tar.xz
Checksums-Sha256:
 813f76795ed2cb5d30f00e3c3b941d488d9b2fff384c56b58098ff0c2c91bc03 11321752 gmtsar_6.5+ds.orig.tar.xz
 3db04da537def660939fde06945f5a5c7a73072962d5582d3e5dc3cd6af1ea36 23632 gmtsar_6.5+ds-2.debian.tar.xz
Files:
 27fcfec7b1d14b107d298771902e3ecc 11321752 gmtsar_6.5+ds.orig.tar.xz
 18c5c7a3a6bc7656f868440506f0d615 23632 gmtsar_6.5+ds-2.debian.tar.xz

-----BEGIN PGP SIGNATURE-----

iQJRBAEBCgA7FiEEO3DyCaX/1okDxHLF6/SKslePmBIFAmaATW8dHGFudG9uaW8u
dmFsZW50aW5vQHRpc2NhbGkuaXQACgkQ6/SKslePmBJLYxAAotz3Nv+KAVESMutv
QzM7tCBXUvFmOM44XlDUCBAnGcASIzYN/y7cE3NF8xhkfC7xQdjUF0L36ztUpkVF
UDiGjpOeuEpaOScViy6fmKKD9taSM5rycgYHsSSHx+HTsS6Vd3ECeC5FwE0jzWiM
f5x8pW9i/TJiTRxZkkd1xV5GxBalIYz0t5yMTGEqptbHRQb2am7CLmYIf4GRQ9I9
btmra2QYIn6JFV+Igncb2LPvJbEnHCe4wBHWckmiC2QbEmqiquYaU5PKLFv1WpMh
dQ68l4dbHeh3payTU28eq39NPw1DJg0TyWO2zk5o12hbSKt+h4YJgxI/TGXmodKh
oxGkhbn9ixGZBJUDzOHDsQ/DCVXaW7dUq8V7r+rF9nSAZBxOPdGGBd7gYmvUeh8B
8ehbqi1Epe5Jbfnv25Xa7D00EqQKTeWM7Rrv+3fV76fZDeaPKuE9IF8mSao7K0Af
22aJ8OU+JqWr/ji2luCYb2XPxBpgjbJLwvnU9yxcS1Ub5fQuiQUJe2zjvZUYC+rL
sWmNn1ItM/FbsETyM4Ddxgq74hM8FOJOUslUYmsJ3zPBNxL5NKKw/Whl3xkwWArl
/4eobx02OY5dpz+3ZCZPTTaaHlQ5R7NRi7BnCg8xNSiVFekfWt8am8FmoeqQwcBg
mvKmilQH+nT5FNjd6l2Y8Kut57g=
=YQn5
-----END PGP SIGNATURE-----
